<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: advanced_online_panel_admin.php
| Copyright  2009-2011 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."advanced_online_panel/infusion_db.php";

if (file_exists(INFUSIONS."advanced_online_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_online_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."advanced_online_panel/locale/German.php";
}

if (!checkrights("AOU") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

$result = dbquery("SELECT * FROM ".DB_ONLINE_SETTINGS);
$data = dbarray($result);

if(isset($_GET['status'])) {
if($_GET['status'] == "ok") echo "<div id='close-message'>\n<div class='admin-message'>\n".$locale['aou210']."</div>\n</div>\n";
if($_GET['status'] == "reset") echo "<div id='close-message'>\n<div class='admin-message'>\n".$locale['aou211']."</div>\n</div>\n";
}

if(isset($_POST['update'])) {
$result = dbquery("UPDATE ".DB_ONLINE_SETTINGS." SET 
online_superadmincolor = '".$_POST['superadmincolor']."', 
online_admincolor = '".$_POST['admincolor']."', 
online_modercolor = '".$_POST['modercolor']."',
online_usercolor = '".$_POST['usercolor']."',
online_showguests = '".$_POST['showguests']."', 
online_showmembers = '".$_POST['showmembers']."', 
online_showmembersnum = '".$_POST['showmembersnum']."', 
online_showbots = '".$_POST['showbots']."', 
online_showallmembers = '".$_POST['showallmembers']."', 
online_shownewmember = '".$_POST['shownewmember']."'
");
redirect (FUSION_SELF."?aid=".$_GET['aid']."&status=ok");
}

if(isset($_POST['reset'])) {
$result = dbquery("UPDATE ".DB_ONLINE_SETTINGS." SET 
online_superadmincolor = '003366', 
online_admincolor = '003366', 
online_moderncolor = '008000',
online_usercolor = '555555',
online_showguests = '1', 
online_showmembers = '1', 
online_showmembersnum = '10', 
online_showmemberstime = '300', 
online_showbots = '1', 
online_showbotstime = '300', 
online_showallmembers = '1', 
online_shownewmember = '1', 
online_alexa = '0', 
online_astalavista = '0', 
online_exalead = '0', 
online_excite = '0', 
online_fast = '0', 
online_fireball = '0', 
online_google = '0', 
online_lycos = '0', 
online_msn = '0', 
online_yahoo = '0'
");
redirect (FUSION_SELF."?aid=".$_GET['aid']."&status=reset");
}

opentable($locale['aou200']);

echo "<form name='aousettings' method='post' action='".FUSION_SELF."?aid=".$_GET['aid']."'>";
echo "<table cellpadding='5' cellspacing='1' width='100%' align='center' class='tbl-border'>";

// Anzahl Gste
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou205']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<input type='checkbox' name='showguests' value='1'";
if ($data['online_showguests'] != "0") echo "checked";
echo "/>";
echo "</td>";
echo "</tr>";

// Anzahl Mitglieder
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou206']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<input type='checkbox' name='showmembers' value='1'";
if ($data['online_showmembers'] != "0") echo "checked";
echo "/>";
echo "</td>";
echo "</tr>";

// Lnge der Liste
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou201']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<input type='text' name='showmembersnum' size='2' class='textbox' value='".$data['online_showmembersnum']."'/>";
echo "</td>";
echo "</tr>";

// Adminfarbe
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou212']."</td>";
echo "<td class='tbl1' align='left'>";
echo "#<input type='text' name='superadmincolor' size='6' class='textbox' value='".$data['online_superadmincolor']."'/>";
echo "</td>";
echo "</tr>";

// CoAdminfarbe
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou213']."</td>";
echo "<td class='tbl1' align='left'>";
echo "#<input type='text' name='admincolor' size='6' class='textbox' value='".$data['online_admincolor']."'/>";
echo "</td>";
echo "</tr>";

//Moderfarbe
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou214']."</td>";
echo "<td class='tbl1' align='left'>";
echo "#<input type='text' name='modercolor' size='6' class='textbox' value='".$data['online_modercolor']."'/>";
echo "</td>";
echo "</tr>";


// Userfarbe
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou215']."</td>";
echo "<td class='tbl1' align='left'>";
echo "#<input type='text' name='usercolor' size='6' class='textbox' value='".$data['online_usercolor']."'/>";
echo "</td>";
echo "</tr>";


// Suchmaschinen-Robots
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou209']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<input type='checkbox' name='showbots' value='1'";
if ($data['online_showbots'] != "0") echo "checked";
echo "/>";
echo "</td>";
echo "</tr>";

// Anzahl Registrierungen
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou207']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<input type='checkbox' name='showallmembers' value='1'";
if ($data['online_showallmembers'] != "0") echo "checked";
echo "/>";
echo "</td>";
echo "</tr>";

// Neustes Mitglied
echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['aou208']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<input type='checkbox' name='shownewmember' value='1'";
if ($data['online_shownewmember'] != "0") echo "checked";
echo "/>";
echo "</td>";
echo "</tr>";

// Reset / bernehmen
echo "<tr>";
echo "<td class='tbl1' colspan='2' align='right'>";
echo "<input type='submit' name='reset' class='button' value='".$locale['aou203']."' onClick=\"return confirm('".$locale['aou204']."')\">&nbsp;";
echo "<input type='submit' name='update' class='button' value='".$locale['aou202']."'></td>";
echo "</tr>";

echo "</table>";
echo "</form>";

closetable();
require_once THEMES."templates/footer.php";
?>
